//QuantumProp.mqh
//
// Created on: Apr 5, 2012
//     Author: Paul Arber
//
#import "Quantum-Prop.dll"
	int    QP_Compute_Stats(double open[], double high[], double low[], double close[], double price[], double data[], int numData); 
	double QP_Compute_Ranges(double open[], double high[], double low[], double close[], int numRates, int type); 
	int    QP_Base(double open[], double high[], double low[], double close[], double price[], int numRates, int offset); 
	double QP_Mean(double myData[], int numData, int offset); 
	double QP_Sum_Of_Change(double myData[], int numData, int offset); 
	double QP_Standard_Deviation(double myData[], int numData, int offset); 
	double QP_Least_Squares(double myData[], int numData, int offset); 
	int    QP_Reversal(double prices[], double data[], double sensitivity, int numRates, int offset);
	int    QP_Initiate_Position(double open[], double high[], double low[], double close[], double price[], double stats[], double inst[], int numData);
	int    QP_Manage_Buy_Order( double open[], double high[], double low[], double close[], double price[], double stats[], double inst[], int numData);
	int    QP_Manage_Sell_Order(double open[], double high[], double low[], double close[], double price[], double stats[], double inst[], int numData);	
	int    QP_Crossings(double series[], int num_series, int period, int ma_1, int ma_2, double info[], int offset); 
	int    QP_MA_Environment(double series[], int num_series, int period, int ma_1, int ma_2, double info[], int offset);
	
#import